forked from pool/aaa_base
Accepting request 103737 from Base:System
- remove requirement on systemd to avoid cycles. /bin/systemd-tmpfiles is only needed by boot.cleanup when actually booting the system using sysv. - chkconfig: bypass initscript enable/disable script if service shadowed by systemd OBS-URL: https://build.opensuse.org/request/show/103737 OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/aaa_base?expand=0&rev=343
This commit is contained in:
commit
326ba96dce
@ -1,52 +0,0 @@
|
||||
Index: b/files/etc/profile.d/alljava.sh
|
||||
===================================================================
|
||||
--- a/files/etc/profile.d/alljava.sh
|
||||
+++ b/files/etc/profile.d/alljava.sh
|
||||
@@ -9,37 +9,38 @@
|
||||
# JDK_HOME, SDK_HOME
|
||||
#
|
||||
|
||||
for JDIR in /usr/lib64/jvm /usr/lib/jvm /usr/java/latest /usr/java; do
|
||||
|
||||
- if ! test -d $JPATH; then
|
||||
+ if ! test -d $JDIR; then
|
||||
continue
|
||||
fi
|
||||
|
||||
for JPATH in $JDIR $JDIR/java `ls -I 'java' -I 'jre' -d $JDIR/* 2>/dev/null` $JDIR/jre; do
|
||||
|
||||
- if ! test -x $JPATH/bin/java ; then
|
||||
+ if ! test -x $JPATH/bin/java; then
|
||||
continue
|
||||
fi
|
||||
|
||||
- export JAVA_BINDIR=3D$JPATH/bin
|
||||
- export JAVA_ROOT=3D$JPATH
|
||||
- export JAVA_HOME=3D$JPATH
|
||||
+ export JAVA_BINDIR=$JPATH/bin
|
||||
+ export JAVA_ROOT=$JPATH
|
||||
+ export JAVA_HOME=$JPATH
|
||||
unset JDK_HOME
|
||||
unset SDK_HOME
|
||||
|
||||
case "$JPATH" in
|
||||
*jre*)
|
||||
- export JRE_HOME=3D$JPATH
|
||||
+ export JRE_HOME=$JPATH
|
||||
;;
|
||||
|
||||
*)
|
||||
- export JRE_HOME=3D$JPATH/jre
|
||||
+ export JRE_HOME=$JPATH/jre
|
||||
# it is development kit
|
||||
if [ -x $JPATH/bin/javac ] ; then
|
||||
- export JDK_HOME=3D$JPATH
|
||||
- export SDK_HOME=3D$JPATH
|
||||
+ export JDK_HOME=$JPATH
|
||||
+ export SDK_HOME=$JPATH
|
||||
+ break; # we found a JRE + SDK -- don't look any further
|
||||
fi
|
||||
;;
|
||||
esac
|
||||
|
||||
done
|
@ -1,3 +1,16 @@
|
||||
-------------------------------------------------------------------
|
||||
Fri Feb 10 13:25:24 UTC 2012 - lnussel@suse.de
|
||||
|
||||
- remove requirement on systemd to avoid cycles.
|
||||
/bin/systemd-tmpfiles is only needed by boot.cleanup when actually
|
||||
booting the system using sysv.
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Thu Feb 9 17:38:47 UTC 2012 - ro@suse.com
|
||||
|
||||
- chkconfig: bypass initscript enable/disable script if service
|
||||
shadowed by systemd
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Fri Jan 27 07:36:56 UTC 2012 - seife+obs@b1-systems.com
|
||||
|
||||
|
@ -25,7 +25,7 @@ Url: http://gitorious.org/opensuse/aaa_base
|
||||
Provides: bin bootutls etc skeleng skelger
|
||||
Provides: aaa_skel = %{version}-%{release}
|
||||
Obsoletes: aaa_skel < %{version}
|
||||
Requires: filesystem distribution-release /bin/mktemp /usr/bin/find /usr/bin/tput /usr/bin/xargs mingetty /bin/login cpio psmisc systemd
|
||||
Requires: filesystem distribution-release /bin/mktemp /usr/bin/find /usr/bin/tput /usr/bin/xargs mingetty /bin/login cpio psmisc
|
||||
Recommends: cron logrotate netcfg udev net-tools aaa_base-extras
|
||||
PreReq: /usr/bin/sed /usr/bin/grep /bin/mv /bin/cat /bin/ls /bin/date /usr/bin/cmp /bin/fillup /sbin/insserv
|
||||
Summary: SUSE Linux Base Package
|
||||
@ -34,7 +34,6 @@ Group: System/Fhs
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
||||
# run make package in checkout out git repo to recreate
|
||||
Source: aaa_base.tar.bz2
|
||||
Patch1: aaa_base-fix-alljava-bnc722252.diff
|
||||
Source99: aaa_base-rpmlintrc
|
||||
|
||||
%description
|
||||
@ -54,7 +53,6 @@ and convenience hacks).
|
||||
|
||||
%prep
|
||||
%setup -n aaa_base
|
||||
%patch1 -p1
|
||||
|
||||
%build
|
||||
make CFLAGS="$RPM_OPT_FLAGS" CC="%{__cc}" %{?_smp_mflags}
|
||||
|
@ -1,3 +1,3 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:33962d6b545078d9d29190c10a11988f3cefb5dade85043a9a6e45b50bfba613
|
||||
size 98590
|
||||
oid sha256:3ee954f18d76433f21f454bcabd69170952ea2fe2eb990bf7ace12325f215ab3
|
||||
size 98692
|
||||
|
Loading…
Reference in New Issue
Block a user